# $Revision: 1.53 $, $Date: 2008/08/11 10:31:20 $
# TODO:
# - check file permissions
# - check files in /usr/share/rt3/
# - check BuildRequires
# - check Requires (meta-packages for configurations with mod_perl/fcgi,
#   apache[12]/standalone server...?)
# - separate standalone server
#
%include	/usr/lib/rpm/macros.perl
Summary:	Request Tracker
Summary(pl.UTF-8):	Request Tracker - system do śledzenia zleceń
Name:		rt
Version:	3.8.1
Release:	0.1
License:	GPL v2
Group:		Applications
Source0:	http://download.bestpractical.com/pub/rt/devel/%{name}-%{version}rc2.tar.gz
# Source0-md5:	f91cce62c4a281fd5597cf36dd217d2a
Source1:	%{name}-apache_dir.conf
Source2:	%{name}-apache_vhost.conf
Patch0:		%{name}-layout.patch
Patch1:		%{name}-config.patch
URL:		http://www.bestpractical.com/rt/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-Apache-Session >= 1.53
BuildRequires:	perl-CGI >= 3.38
BuildRequires:	perl-CGI-SpeedyCGI
BuildRequires:	perl-CSS-Squish >= 0.06
BuildRequires:	perl-Cache-Cache
BuildRequires:	perl-Calendar-Simple
BuildRequires:	perl-Class-ReturnValue
BuildRequires:	perl-DBD-mysql
BuildRequires:	perl-DBI >= 1.18
BuildRequires:	perl-DBIx-DataSource >= 0.02
BuildRequires:	perl-DBIx-SearchBuilder >= 1.53
BuildRequires:	perl-Data-ICal
BuildRequires:	perl-Devel-StackTrace >= 1.19
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-File-ShareDir
BuildRequires:	perl-File-Spec >= 0.8
BuildRequires:	perl-File-Temp
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-GD
BuildRequires:	perl-GD-Graph
BuildRequires:	perl-GD-TextUtil
BuildRequires:	perl-GnuPG-Interface
BuildRequires:	perl-HTML-Mason >= 0.896
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-RewriteAttributes >= 0.02
BuildRequires:	perl-HTML-Scrubber
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-HTTP-Server-Simple >= 0.34
BuildRequires:	perl-HTTP-Server-Simple-Mason >= 0.09
BuildRequires:	perl-Locale-Maketext >= 1.06
BuildRequires:	perl-Locale-Maketext-Fuzzy
BuildRequires:	perl-Locale-Maketext-Lexicon
BuildRequires:	perl-Log-Dispatch >= 1.6
BuildRequires:	perl-MIME-tools >= 5.411
BuildRequires:	perl-MLDBM
BuildRequires:	perl-MailTools >= 1.20
BuildRequires:	perl-Module-Versions-Report >= 1.05
BuildRequires:	perl-Net-Server >= 0.34
BuildRequires:	perl-Params-Validate >= 0.02
BuildRequires:	perl-PerlIO-eol
BuildRequires:	perl-Storable
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-Test-Inline
BuildRequires:	perl-Text-Autoformat
BuildRequires:	perl-Text-Quoted
BuildRequires:	perl-Text-Template
BuildRequires:	perl-Text-WikiFormat >= 0.76
BuildRequires:	perl-Text-Wrapper
BuildRequires:	perl-Tie-IxHash
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-Time-modules
BuildRequires:	perl-TimeDate
BuildRequires:	perl-Tree-Simple
BuildRequires:	perl-WWW-Mechanize
BuildRequires:	perl-XML-RSS >= 1.05
BuildRequires:	perl-base >= 5.8.0
BuildRequires:	perl-libnet
Requires:	perl-CSS-Squish >= 0.06
Requires:	perl-Calendar-Simple
Requires:	perl-Module-Versions-Report
Requires:	perl-Tree-Simple
Suggests:	perl-FCGI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# workarounds for bug in perl.req ("perl()") and ,,famous'' rpm's feature (RT::*)
%define		_noautoreq	'perl().*' 'perl(RT.*)' 'perl(Encode::compat)' 'perl(CGI::Fast)

%define		_sysconfdir	/etc/rt3
%define		_libdir		%{perl_vendorlib}
%define		htmldir		%{_datadir}/rt3/html
%define		masonstatedir	%{_localstatedir}/cache/mason_data
%define		masonsessiondir	%{_localstatedir}/cache/session_data

%description
RT is an enterprise-grade ticketing system which enables a group of
people to intelligently and efficiently manage tasks, issues, and
requests submitted by a community of users.

%description -l pl.UTF-8
RT to profesjonalnej klasy system biletowy pozwalający grupie ludzi
inteligentnie i wydajnie zarządzać zadaniami, problemami i zleceniami
składanymi przez użytkowników.

%package cli
Summary:	Command-line interface to RT
Summary(pl.UTF-8):	Interfejs linii poleceń dla RT
Group:		Applications

%description cli
This package contains /usr/bin/rt, a command-line interface to RT 3.

It allows you to interact with an RT server over HTTP, and offers an
interface to RT's functionality that is better-suited to automation
and integration with other tools.

%description cli -l pl.UTF-8
Ten pakiet zawiera /usr/bin/rt - interfejs linii poleceń do RT 3.

Umożliwia on współdziałanie z serwerem RT po HTTP i oferuje interfejs
do funkcjonalności RT bardziej dopasowany do automatyki i intergracji
z innymi narzędziami.

%prep
%setup -q -n %{name}-%{version}rc2
%patch0 -p0
%patch1 -p1

mv aclocal.m4 acinclude.m4

sed -i -e 's#libdir:.*#libdir:	%{_libdir}#g' config.layout

%build
%{__aclocal} -I m4
%{__autoconf}
%configure \
	--enable-layout=PLDFHS \
	htmldir=%{htmldir} \
	exp_htmldir=%{htmldir} \
	masonstatedir=%{masonstatedir} \
	masonsessiondir=%{masonstatedir} \
	--with-speedycgi=%{_bindir}/speedycgi \
	--with-my-user-group \
	--with-db-type=mysql

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir} \
	$RPM_BUILD_ROOT%{masonstatedir} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# *.in, tests
find $RPM_BUILD_ROOT -type f -name \*.in -exec rm '{}' \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* UPGRADING docs
%dir %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/mason_handler.*
%attr(755,root,root) %{_bindir}/rt-*
%attr(755,root,root) %{_bindir}/standalone_httpd
%attr(755,root,root) %{_bindir}/webmux.pl
%attr(755,root,root) %{_sbindir}/rt-*
%dir %{_datadir}/rt3
%{_datadir}/rt3/html
%{_libdir}/*
%dir %attr(770,root,http) %{masonstatedir}
%{_examplesdir}/%{name}-%{version}

%files cli
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rt.spec,v $
Revision 1.53  2008/08/11 10:31:20  paszczus
- proper Source0
- adaptarized

Revision 1.52  2008/08/09 18:55:51  arekm
- many bugs in 3.8.0; package 3.8.1 temporaily in such bad form (final comes in a few days)

Revision 1.51  2008/08/08 22:46:18  arekm
- release 2

Revision 1.50  2008/08/08 22:40:56  arekm
- more deps

Revision 1.49  2008/08/08 22:00:16  arekm
- up to 3.8.0

Revision 1.48  2008/06/27 10:57:00  arekm
- up to 3.6.7

Revision 1.47  2008-05-08 17:27:52  aredridel
R: perl-Tree-Simple

Revision 1.46  2008-05-08 01:23:41  aredridel
- R: perl-Module-Versions-Report

Revision 1.45  2008-05-05 08:43:59  glen
- adapter

Revision 1.44  2008-05-05 08:42:20  aredridel
- R: perl-CSS-Squish

Revision 1.43  2008-05-05 07:57:20  glen
- adapter

Revision 1.42  2008-05-05 07:18:35  aredridel
- Suggest perl-FCGI

Revision 1.41  2008-04-27 03:44:06  aredridel
- R: perl-CGI-SpeedyCGI

Revision 1.40  2008-02-03 11:15:09  arekm
- up to 3.6.6; rel 1

Revision 1.39  2007-10-12 12:09:40  arekm
- up to 3.6.5

Revision 1.38  2007/07/08 19:59:33  arekm
- up to 3.6.4

Revision 1.37  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.35  2006/12/29 16:33:02  arekm
- up to 3.6.3

Revision 1.34  2006/10/05 10:41:00  arekm
- add R: perl-Calendar-Simple

Revision 1.33  2006/09/29 08:57:47  arekm
- up to 3.6.1

Revision 1.32  2006/07/10 12:49:53  arekm
- config files readable for webserver

Revision 1.31  2006/07/10 12:49:10  arekm
- up to 3.6.0

Revision 1.30  2006/06/07 08:21:05  arekm
- updated pl translation

Revision 1.29  2006/06/06 12:41:07  arekm
- fix config

Revision 1.28  2006/06/06 09:55:31  arekm
- up to 3.4.5

Revision 1.27  2005/12/19 21:47:05  qboosh
- pl for -cli

Revision 1.26  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/03/30 17:20:16  saq
- missing defattr

Revision 1.24  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.23  2004/10/15 13:57:23  radek
- attr 770 for masonstatedir

Revision 1.22  2004/10/15 13:36:07  radek
- added "docs" directory to documentation

Revision 1.21  2004/10/15 13:31:45  radek
- moved perl modules to %perl_vendorlib; now documentation is
  accessible by perldoc

Revision 1.20  2004/10/15 13:26:18  radek
- release 0.5: removed tests (rt-test-dependencies yet doesn't use it)
  and test subpackage; rt-test-dependencies back to main package

Revision 1.19  2004/10/15 10:06:40  radek
- _noautoreq: CGI::Fast

Revision 1.18  2004/10/15 10:04:07  radek
- separated /usr/bin/rt to -cli subpackage
- separated /usr/sbin/rt-test-dependencies to -test subpackage

Revision 1.17  2004/10/15 09:30:27  radek
- release 0.4: noarch

Revision 1.16  2004/10/15 07:45:19  qboosh
- BR: ac,am

Revision 1.15  2004/10/14 22:45:37  radek
- cleanup, added masonstatedir

Revision 1.14  2004/10/14 21:45:04  radek
- release 0.3: added config files, {acl,schema}.* and initialdata
  back to /etc/rt3 (used by /usr/sbin/rt-setup-database)

Revision 1.13  2004/10/14 19:12:54  radek
- release 0.2: major changes; cleanup; finished (?), but untested
- license: GPL v2
- added -layout.patch (some fixes for build process)
- changed paths
- added autocrap regeneration (modified by -layout.patch)

Revision 1.12  2004/10/14 14:49:03  radek
- removed tests

Revision 1.11  2004/10/13 10:01:35  qboosh
- sorted BRs, simlified prep

Revision 1.10  2004/10/12 23:14:12  radek
- version 3.2.2, cosmetics

Revision 1.9  2004/08/31 14:17:58  qboosh
- files fix

Revision 1.8  2004/08/25 09:46:18  radek
- added RT_{VAR,ETC}_PATH

Revision 1.7  2004/08/24 15:09:41  radek
- _noautoreq: perl(Encode::compat); not needed for perl > 5.7.something

Revision 1.6  2004/08/24 14:52:52  radek
- typo

Revision 1.5  2004/08/24 14:50:02  radek
- release 0.2: added _noautoreq

Revision 1.4  2004/08/24 14:09:00  averne
- updated to 3.2.1, NFY

Revision 1.3  2003/10/12 21:41:11  qboosh
- pl

Revision 1.2  2003/09/20 12:46:14  ankry
- make distfiles happy

Revision 1.1  2003/09/20 12:42:40  arekm
- started, needs much more work
